Relatórios
Base: https://api.nivesistemas.com.br · 47 endpoints
GET /reports/sales-summary
Seção intitulada “GET /reports/sales-summary”Resumo de vendas
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial (YYYY-MM-DD) |
to |
string | não | Data final |
sellerId |
string | não | Filtrar por vendedor (UUID) |
paymentMethodId |
string | não | Filtrar por forma de pagamento |
salesChannelId |
string | não | Filtrar por canal de venda (UUID) ou none para vendas sem canal |
includeItems |
boolean | não | Inclui os produtos de cada venda (relatório detalhado) |
curl -X GET "https://api.nivesistemas.com.br/reports/sales-summary" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-summary", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sales-summary", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/monthly-sales
Seção intitulada “GET /reports/monthly-sales”Faturamento comercial agrupado por mês
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial (YYYY-MM-DD) |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/monthly-sales" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/monthly-sales", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/monthly-sales", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/top-products
Seção intitulada “GET /reports/top-products”Produtos mais vendidos
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
limit |
integer | não | Quantidade |
curl -X GET "https://api.nivesistemas.com.br/reports/top-products" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/top-products", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/top-products", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/sales-by-category
Seção intitulada “GET /reports/sales-by-category”Vendas por categoria
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/sales-by-category" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-by-category", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sales-by-category", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/sales-by-tag
Seção intitulada “GET /reports/sales-by-tag”Vendas e catálogo por tag de produto
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/sales-by-tag" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-by-tag", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sales-by-tag", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/catalog-groups
Seção intitulada “GET /reports/catalog-groups”Vendas, produtos e estoque por marca, categoria ou tag
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
dimension |
string | sim | brand, category ou tag |
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/catalog-groups" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/catalog-groups", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/catalog-groups", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/catalog-groups/products
Seção intitulada “GET /reports/catalog-groups/products”Produtos de uma marca, categoria ou tag com vendas do período e estoque atual
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
dimension |
string | sim | brand, category ou tag |
groupId |
string | sim | Id do grupo ou none (sem marca/categoria/tag) |
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/catalog-groups/products" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/catalog-groups/products", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/catalog-groups/products", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/stock
Seção intitulada “GET /reports/stock”Posição de estoque
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
all |
boolean | não | Retorna todos os SKUs (sem paginação) |
page |
integer | não | Página (padrão 1) |
pageSize |
integer | não | Itens por página (padrão 500, máx. 2000) |
curl -X GET "https://api.nivesistemas.com.br/reports/stock" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/stock", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/stock", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/draft-stock
Seção intitulada “GET /reports/draft-stock”Peças em rascunhos de venda (para conferência)
curl -X GET "https://api.nivesistemas.com.br/reports/draft-stock" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/draft-stock", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/draft-stock", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dashboard-alerts
Seção intitulada “GET /reports/dashboard-alerts”Alertas do dashboard
curl -X GET "https://api.nivesistemas.com.br/reports/dashboard-alerts" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dashboard-alerts", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dashboard-alerts", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/top-customers
Seção intitulada “GET /reports/top-customers”Melhores clientes
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/top-customers" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/top-customers", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/top-customers", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/credit-sales
Seção intitulada “GET /reports/credit-sales”Vendas a prazo
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/credit-sales" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/credit-sales", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/credit-sales", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/card-fees
Seção intitulada “GET /reports/card-fees”Relatório de taxas de cartão (MDR) no período
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/card-fees" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/card-fees", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/card-fees", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/commissions-by-seller
Seção intitulada “GET /reports/commissions-by-seller”Comissões por vendedor
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/commissions-by-seller" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/commissions-by-seller", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/commissions-by-seller", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dashboard-overview
Seção intitulada “GET /reports/dashboard-overview”Visão geral do dashboard
curl -X GET "https://api.nivesistemas.com.br/reports/dashboard-overview" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dashboard-overview", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dashboard-overview", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dashboard-metrics
Seção intitulada “GET /reports/dashboard-metrics”Métricas do dashboard
curl -X GET "https://api.nivesistemas.com.br/reports/dashboard-metrics" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dashboard-metrics", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dashboard-metrics", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dashboard-charts
Seção intitulada “GET /reports/dashboard-charts”Gráficos do dashboard
curl -X GET "https://api.nivesistemas.com.br/reports/dashboard-charts" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dashboard-charts", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dashboard-charts", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dashboard-insights
Seção intitulada “GET /reports/dashboard-insights”Insights do dashboard
curl -X GET "https://api.nivesistemas.com.br/reports/dashboard-insights" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dashboard-insights", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dashboard-insights", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/product-abc
Seção intitulada “GET /reports/product-abc”Curva ABC de produtos por faturamento
curl -X GET "https://api.nivesistemas.com.br/reports/product-abc" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/product-abc", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/product-abc", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/sale-margins
Seção intitulada “GET /reports/sale-margins”Margem bruta por pedido
curl -X GET "https://api.nivesistemas.com.br/reports/sale-margins" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sale-margins", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sale-margins", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/customer-dashboard
Seção intitulada “GET /reports/customer-dashboard”Indicadores de clientes no período
curl -X GET "https://api.nivesistemas.com.br/reports/customer-dashboard" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/customer-dashboard", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/customer-dashboard", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/sales-goals
Seção intitulada “GET /reports/sales-goals”Meta mensal de faturamento
curl -X GET "https://api.nivesistemas.com.br/reports/sales-goals" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-goals", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sales-goals", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())PUT /reports/sales-goals
Seção intitulada “PUT /reports/sales-goals”Criar ou atualizar meta mensal
curl -X PUT "https://api.nivesistemas.com.br/reports/sales-goals" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-goals", { method: "PUT", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "PUT", "https://api.nivesistemas.com.br/reports/sales-goals", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/sales-goals/progress
Seção intitulada “GET /reports/sales-goals/progress”Progresso da meta no mês
curl -X GET "https://api.nivesistemas.com.br/reports/sales-goals/progress" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-goals/progress", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sales-goals/progress", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/sales-goals/history
Seção intitulada “GET /reports/sales-goals/history”Histórico de metas e realizado
curl -X GET "https://api.nivesistemas.com.br/reports/sales-goals/history" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/sales-goals/history", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/sales-goals/history", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/customer-birthdays
Seção intitulada “GET /reports/customer-birthdays”Aniversários de clientes
curl -X GET "https://api.nivesistemas.com.br/reports/customer-birthdays" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/customer-birthdays", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/customer-birthdays", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/seller-birthdays
Seção intitulada “GET /reports/seller-birthdays”Aniversários de vendedores
curl -X GET "https://api.nivesistemas.com.br/reports/seller-birthdays" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/seller-birthdays", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/seller-birthdays", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/cash-flow
Seção intitulada “GET /reports/cash-flow”Fluxo de caixa
curl -X GET "https://api.nivesistemas.com.br/reports/cash-flow" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/cash-flow", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/cash-flow", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dre
Seção intitulada “GET /reports/dre”DRE gerencial ou contábil (receita, CMV, despesas, impostos e resultado do período)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial (YYYY-MM-DD) |
to |
string | não | Data final |
view |
string | não | managerial (padrão) ou accounting |
curl -X GET "https://api.nivesistemas.com.br/reports/dre" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dre", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dre", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/cash-inflow-by-payment
Seção intitulada “GET /reports/cash-inflow-by-payment”Entradas de caixa por forma de pagamento (à vista, crediário e cheques compensados)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/cash-inflow-by-payment" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/cash-inflow-by-payment", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/cash-inflow-by-payment", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/receivables-aging
Seção intitulada “GET /reports/receivables-aging”Aging de contas a receber
curl -X GET "https://api.nivesistemas.com.br/reports/receivables-aging" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/receivables-aging", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/receivables-aging", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/receivables-write-offs
Seção intitulada “GET /reports/receivables-write-offs”Contas canceladas por perda (perdão de dívida) no período
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | sim | Início (YYYY-MM-DD) |
to |
string | sim | Fim (YYYY-MM-DD) |
curl -X GET "https://api.nivesistemas.com.br/reports/receivables-write-offs" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/receivables-write-offs", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/receivables-write-offs", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/receivables-detailed
Seção intitulada “GET /reports/receivables-detailed”Relatório detalhado de contas a receber (títulos em aberto por cliente)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
status |
string | não | open (padrão) | overdue | current |
curl -X GET "https://api.nivesistemas.com.br/reports/receivables-detailed" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/receivables-detailed", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/receivables-detailed", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/receivables-summary
Seção intitulada “GET /reports/receivables-summary”Relatório resumido de contas a receber (saldo total por cliente)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
status |
string | não | open (padrão) | overdue | current |
curl -X GET "https://api.nivesistemas.com.br/reports/receivables-summary" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/receivables-summary", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/receivables-summary", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/payables-detailed
Seção intitulada “GET /reports/payables-detailed”Relatório detalhado de contas a pagar (títulos em aberto por fornecedor)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
status |
string | não | open (padrão) | overdue | current |
supplierId |
uuid | não | Fornecedor |
categoryId |
string | não | Categoria (uuid) ou none para sem categoria |
costCenterId |
uuid | não | Centro de custo |
kind |
string | não | manual | purchase | recurring | card_bill | credit_card |
approvalStatus |
string | não | PENDING | APPROVED | REJECTED |
q |
string | não | Busca (descrição, NF, fornecedor, documento) |
dueFrom |
string | não | Vencimento inicial (YYYY-MM-DD) |
dueTo |
string | não | Vencimento final (YYYY-MM-DD) |
curl -X GET "https://api.nivesistemas.com.br/reports/payables-detailed" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/payables-detailed", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/payables-detailed", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/payables-paid
Seção intitulada “GET /reports/payables-paid”Contas pagas no período (principal, juros, multa, desconto, forma e conta de saída)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | sim | Início (YYYY-MM-DD) |
to |
string | sim | Fim (YYYY-MM-DD) |
supplierId |
uuid | não | Fornecedor |
categoryId |
string | não | Categoria (uuid) ou none para sem categoria |
costCenterId |
uuid | não | Centro de custo |
kind |
string | não | manual | purchase | recurring | card_bill | credit_card |
q |
string | não | Busca (descrição, NF, fornecedor, documento) |
financialAccountId |
string | não | Conta de saída (uuid) ou none |
paymentMethodId |
string | não | Forma de pagamento (uuid) ou none |
curl -X GET "https://api.nivesistemas.com.br/reports/payables-paid" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/payables-paid", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/payables-paid", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/payables-summary
Seção intitulada “GET /reports/payables-summary”Contas a pagar em aberto e pagas no período, agrupadas
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | sim | Início (YYYY-MM-DD) |
to |
string | sim | Fim (YYYY-MM-DD) |
dimension |
string | não | category (padrão) | dreGroup | costCenter | supplier |
supplierId |
uuid | não | Fornecedor |
categoryId |
string | não | Categoria (uuid) ou none para sem categoria |
costCenterId |
uuid | não | Centro de custo |
kind |
string | não | manual | purchase | recurring | card_bill | credit_card |
q |
string | não | Busca (descrição, NF, fornecedor, documento) |
curl -X GET "https://api.nivesistemas.com.br/reports/payables-summary" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/payables-summary", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/payables-summary", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/payables-forecast
Seção intitulada “GET /reports/payables-forecast”Projeção de saídas (parcelas em aberto e recorrências a gerar), entradas previstas e saldo projetado
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Início (YYYY-MM-DD, padrão hoje) |
to |
string | não | Fim (YYYY-MM-DD, padrão hoje + 90 dias) |
groupBy |
string | não | day | week (padrão) | month |
supplierId |
uuid | não | Fornecedor |
categoryId |
string | não | Categoria (uuid) ou none para sem categoria |
costCenterId |
uuid | não | Centro de custo |
kind |
string | não | manual | purchase | recurring | card_bill | credit_card |
q |
string | não | Busca (descrição, NF, fornecedor, documento) |
curl -X GET "https://api.nivesistemas.com.br/reports/payables-forecast" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/payables-forecast", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/payables-forecast", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/payables-cancelled
Seção intitulada “GET /reports/payables-cancelled”Contas a pagar canceladas no período (valor cancelado, motivo e usuário)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | sim | Início (YYYY-MM-DD) |
to |
string | sim | Fim (YYYY-MM-DD) |
supplierId |
uuid | não | Fornecedor |
categoryId |
string | não | Categoria (uuid) ou none para sem categoria |
costCenterId |
uuid | não | Centro de custo |
kind |
string | não | manual | purchase | recurring | card_bill | credit_card |
q |
string | não | Busca (descrição, NF, fornecedor, documento) |
curl -X GET "https://api.nivesistemas.com.br/reports/payables-cancelled" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/payables-cancelled", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/payables-cancelled", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/services-dashboard
Seção intitulada “GET /reports/services-dashboard”Dashboard de serviços
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
curl -X GET "https://api.nivesistemas.com.br/reports/services-dashboard" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/services-dashboard", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/services-dashboard", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/promotional-campaigns
Seção intitulada “GET /reports/promotional-campaigns”Relatório de campanhas promocionais
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | sim | Data inicial (YYYY-MM-DD) |
to |
string | sim | Data final |
campaignId |
uuid | não | Campanha |
sellerId |
uuid | não | Vendedor |
productId |
uuid | não | Produto |
operatorUserId |
uuid | não | Operador |
sortBy |
string | não | quantity | revenue | discount | units |
curl -X GET "https://api.nivesistemas.com.br/reports/promotional-campaigns" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/promotional-campaigns", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/promotional-campaigns", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/promotional-campaigns/:campaignId/sales
Seção intitulada “GET /reports/promotional-campaigns/:campaignId/sales”Vendas de uma campanha promocional
Parâmetros de rota: campaignId
curl -X GET "https://api.nivesistemas.com.br/reports/promotional-campaigns/{campaignId}/sales" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/promotional-campaigns/{campaignId}/sales", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/promotional-campaigns/{campaignId}/sales", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/stock-summary
Seção intitulada “GET /reports/stock-summary”Contagens de estoque (sem custo) para o painel inicial
curl -X GET "https://api.nivesistemas.com.br/reports/stock-summary" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/stock-summary", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/stock-summary", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/own-consumption
Seção intitulada “GET /reports/own-consumption”Consumo próprio / uso interno
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
from |
string | não | Data inicial |
to |
string | não | Data final |
status |
string | não | COMPLETED ou CANCELLED |
locationId |
uuid | não | Local |
productId |
uuid | não | Produto |
categoryId |
uuid | não | Categoria |
userId |
uuid | não | Usuário |
curl -X GET "https://api.nivesistemas.com.br/reports/own-consumption" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/own-consumption", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/own-consumption", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/suggested-purchase
Seção intitulada “GET /reports/suggested-purchase”Sugestão de compra (relatórios avançados)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
filter |
string | não | out (zerados), low (abaixo do mínimo) ou all |
limit |
integer | não | Padrão 200, máx. 500 |
curl -X GET "https://api.nivesistemas.com.br/reports/suggested-purchase" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/suggested-purchase", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/suggested-purchase", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())GET /reports/dead-stock
Seção intitulada “GET /reports/dead-stock”Estoque parado (relatórios avançados)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
minDays |
integer | não | Dias sem venda (padrão 60) |
limit |
integer | não | Padrão 500, máx. 1000 |
curl -X GET "https://api.nivesistemas.com.br/reports/dead-stock" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dead-stock", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/reports/dead-stock", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())POST /reports/dashboard-inbox/emit-pending-nfce
Seção intitulada “POST /reports/dashboard-inbox/emit-pending-nfce”Emitir NFC-e pendentes em lote (relatórios avançados)
Query params
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
limit |
integer | não | Máx. 500 |
curl -X POST "https://api.nivesistemas.com.br/reports/dashboard-inbox/emit-pending-nfce" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/reports/dashboard-inbox/emit-pending-nfce", { method: "POST", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "POST", "https://api.nivesistemas.com.br/reports/dashboard-inbox/emit-pending-nfce", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())
